class_name Shooting extends EntityState


func process_shooting():
	var target_pos = entity.target_enemy.global_position
	# Note: Need to rotate entity at pelvis when higher or lower than plane.
	# As is it rotates the entire entity....
#	entity.look_at(target_pos, Vector3.UP)
	entity.equiped_item.get_children()[0].look_at(target_pos, Vector3.UP)

	var item = entity.equiped_item.get_children()[0]
	if item is Gun and item.can_shoot:
		anim_player.play(entity.SHOOTING_ANIM, 0.2)
		# Handled in animation
#		item.shoot()


func enter():
	pass

func exit():
	entity.target_enemy = null

func update(_delta: float):
	pass

func physics_update(_delta: float):
	if not entity.target_enemy:
		transitioned.emit(self, "idle")
		return

	if entity.target_enemy.state_machine.current_state is Dead:
		transitioned.emit(self, "idle")
		return

	process_shooting()

