class_name Walking extends EntityState


func process_moving_state(delta: float, direction: Vector3 = Vector3.FORWARD):
	anim_player.play(entity.WALK_ANIM, 0.2)

	entity.velocity.x = move_toward(entity.velocity.x, entity.SPEED * direction.x, entity.ACCELERATION * delta)
	entity.velocity.z = move_toward(entity.velocity.z, entity.SPEED * direction.z, entity.ACCELERATION * delta)

func enter():
	pass

func update(_delta: float):
	pass

func physics_update(delta: float):
	process_moving_state(delta)